项目启动时flowable报错提示 version mismatch: library version is *, db version is *

Flowable 专栏收录该内容
160 篇文章 48 订阅

项目启动时flowable报错提示 version mismatch: library version is *, db version is *
可能原因
1.项目中的flowable版本更换了但是数据库中缓存了之前的版本信息
解决:
找到数据库中act_ge_property(ACT_GE_PROPERTY)表更改schema.version的版本或者全部改掉(替换成标题library version is后的版本)
在这里插入图片描述
2.数据库中的act_开头的数据库表不完整或者缺失等
解决:
删除所有flowable相关的act_开头的表重新导入或者重新生成(此方法不建议)

3.数据库设置了区分大小写(mysql)
解决:
查询是否设置区分大小写
show variables like “%case%”;
lower_case_table_names的值 0表示区分大小写 1表示不区分大小写
把lower_case_table_names的值设置成1

在这里插入图片描述

解决Linux docker中的mysql区分大小写问题
mysql不区分大小写设置_mysql设置不区分大小写

  • 0
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

相关推荐
©️2020 CSDN 皮肤主题: 猿与汪的秘密 设计师:白松林 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值